Skip to main content
POST
/
api
/
settings
Store Settings
curl --request POST \
  --url https://app.all-hands.dev/api/settings \
  --header 'Content-Type: application/json' \
  --header 'X-Session-API-Key: <api-key>' \
  --data '
{
  "language": "<string>",
  "agent": "<string>",
  "max_iterations": 123,
  "security_analyzer": "<string>",
  "confirmation_mode": true,
  "llm_model": "<string>",
  "llm_api_key": "<string>",
  "llm_base_url": "<string>",
  "remote_runtime_resource_factor": 123,
  "secrets_store": {
    "provider_tokens": {},
    "custom_secrets": {}
  },
  "enable_default_condenser": true,
  "enable_sound_notifications": false,
  "enable_proactive_conversation_starters": true,
  "enable_solvability_analysis": true,
  "user_consents_to_analytics": true,
  "sandbox_base_container_image": "<string>",
  "sandbox_runtime_container_image": "<string>",
  "mcp_config": {
    "sse_servers": [
      {
        "url": "<string>",
        "api_key": "<string>"
      }
    ],
    "stdio_servers": [
      {
        "name": "<string>",
        "command": "<string>",
        "args": [
          "<string>"
        ],
        "env": {}
      }
    ],
    "shttp_servers": [
      {
        "url": "<string>",
        "api_key": "<string>"
      }
    ]
  },
  "search_api_key": "<string>",
  "sandbox_api_key": "<string>",
  "max_budget_per_task": 123,
  "email": "<string>",
  "email_verified": true,
  "git_user_name": "<string>",
  "git_user_email": "<string>"
}
'
import requests

url = "https://app.all-hands.dev/api/settings"

payload = {
"language": "<string>",
"agent": "<string>",
"max_iterations": 123,
"security_analyzer": "<string>",
"confirmation_mode": True,
"llm_model": "<string>",
"llm_api_key": "<string>",
"llm_base_url": "<string>",
"remote_runtime_resource_factor": 123,
"secrets_store": {
"provider_tokens": {},
"custom_secrets": {}
},
"enable_default_condenser": True,
"enable_sound_notifications": False,
"enable_proactive_conversation_starters": True,
"enable_solvability_analysis": True,
"user_consents_to_analytics": True,
"sandbox_base_container_image": "<string>",
"sandbox_runtime_container_image": "<string>",
"mcp_config": {
"sse_servers": [
{
"url": "<string>",
"api_key": "<string>"
}
],
"stdio_servers": [
{
"name": "<string>",
"command": "<string>",
"args": ["<string>"],
"env": {}
}
],
"shttp_servers": [
{
"url": "<string>",
"api_key": "<string>"
}
]
},
"search_api_key": "<string>",
"sandbox_api_key": "<string>",
"max_budget_per_task": 123,
"email": "<string>",
"email_verified": True,
"git_user_name": "<string>",
"git_user_email": "<string>"
}
headers = {
"X-Session-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Session-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: '<string>',
agent: '<string>',
max_iterations: 123,
security_analyzer: '<string>',
confirmation_mode: true,
llm_model: '<string>',
llm_api_key: '<string>',
llm_base_url: '<string>',
remote_runtime_resource_factor: 123,
secrets_store: {provider_tokens: {}, custom_secrets: {}},
enable_default_condenser: true,
enable_sound_notifications: false,
enable_proactive_conversation_starters: true,
enable_solvability_analysis: true,
user_consents_to_analytics: true,
sandbox_base_container_image: '<string>',
sandbox_runtime_container_image: '<string>',
mcp_config: {
sse_servers: [{url: '<string>', api_key: '<string>'}],
stdio_servers: [{name: '<string>', command: '<string>', args: ['<string>'], env: {}}],
shttp_servers: [{url: '<string>', api_key: '<string>'}]
},
search_api_key: '<string>',
sandbox_api_key: '<string>',
max_budget_per_task: 123,
email: '<string>',
email_verified: true,
git_user_name: '<string>',
git_user_email: '<string>'
})
};

fetch('https://app.all-hands.dev/api/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{}

Authorizations

X-Session-API-Key
string
header
required

Body

application/json

Persisted settings for OpenHands sessions

language
string | null
agent
string | null
max_iterations
integer | null
security_analyzer
string | null
confirmation_mode
boolean | null
llm_model
string | null
llm_api_key
string<password> | null
llm_base_url
string | null
remote_runtime_resource_factor
integer | null
secrets_store
UserSecrets · object
enable_default_condenser
boolean
default:true
enable_sound_notifications
boolean
default:false
enable_proactive_conversation_starters
boolean
default:true
enable_solvability_analysis
boolean
default:true
user_consents_to_analytics
boolean | null
sandbox_base_container_image
string | null
sandbox_runtime_container_image
string | null
mcp_config
MCPConfig · object | null

Configuration for MCP (Message Control Protocol) settings.

Attributes: sse_servers: List of MCP SSE server configs stdio_servers: List of MCP stdio server configs. These servers will be added to the MCP Router running inside runtime container. shttp_servers: List of MCP HTTP server configs.

search_api_key
string<password> | null
sandbox_api_key
string<password> | null
max_budget_per_task
number | null
email
string | null
email_verified
boolean | null
git_user_name
string | null
git_user_email
string | null

Response

Settings stored successfully

The response is of type Response 200 Store Settings Api Settings Post · object.